body {
  font-family: sans-serif;
  padding: 20px;
  /*background-color: #eeeeee;*/
}
.title {
  background-color: #ffffff;
  h1 {
    margin: 0 0 0 5px;
    color: #2e2e2e;
  }
  h3 {
    margin: 0 0 0 10px;
  }
}
.lastUpdatedDate p {
  margin: 0px;
  color: #5f5f5f;
}
.message {
  p {
    margin: 0px;
    color: #447912;
  }
}
.notes {
  margin-bottom: 3px;
  border-bottom: 1px solid #ccc;

  summary {
    font-size: normal;
    font-weight: 400;
  }
  #notes {
    p {
      white-space: pre-wrap;
      word-break: break-word;
      margin: 0px;
      font-size: 0.85rem;
    }
  }
}
.uniqueCodeDetails {
  margin: 0px 0px 5px 0px;
  border-bottom: 1px solid #ccc;
  summary {
    cursor: pointer;
    font-size: 0.85rem; /* 文字を小さめに */
    font-weight: 400; /* 細め */
    color: #303030;
  }
  #uniqueCodeInput {
    margin-left: 15px;
  }
}
.uniqueCode {
  margin-bottom: 10px;
  p {
    font-size: small;
    margin-top: 0px;
    margin-bottom: 0px;
    color: #5a5a5a;
  }
}
.excelDownload {
  display: flex;
  #excelDownload {
    border-radius: 7px;
    background-color: #f0f0f0;
    border-color: #447912;
    height: 100;
    font-size: 12px;
    font-weight: 500;
    padding: 1px;
  }
  p {
    margin: 0 0 0 10px;
    color: #e8514e;
  }
}

details summary {
  cursor: pointer;
  font-weight: bold;
}

.items_controller {
  margin-top: 10px;
  margin-bottom: 0px;
  vertical-align: middle;
  .select {
    cursor: pointer;
    border-radius: 3px;
    border: 1.1px solid #727272;
    background-color: #ffffff;
    width: auto;
    height: 21.33px;
    font-size: 11px;
    padding: 1px 2px;
    text-align: left;
    font-weight: 400;
  }
  .selected {
    border: 1.5px solid #4e9bff;
    background-color: #d3d3d3;
  }
  label {
    color: #363636;
  }
}

#category_select_div,
#color_select_div {
  max-height: 150px;
  overflow-y: auto;
  overflow-x: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 1px;
  align-items: start;
  border: 3px solid #4e9bff;
  background-color: #f0f0f0;
  border-radius: 10px;
  .select_all {
    cursor: pointer;
    border-radius: 3px;
    border: 1.1px solid #727272;
    background-color: #ffffff;
    width: auto;
    height: 21.33px;
    font-size: 13px;
    padding: 1px 2px;
    margin: 0px 10px;
    text-align: center;
    font-weight: 400;
  }
}

#headers_controller_container {
  p {
    font-size: small;
    margin-top: 0px;
    margin-bottom: 0px;
    color: #989898;
  }
  .headers_controller {
    margin-bottom: 3px;
    label {
      white-space: nowrap;
    }
  }
  label {
    color: #363636;
  }
  #checkboxAll_label {
    color: #3d73ba;
  }
}

#buttonDefaultHeaders {
  border-radius: 5px;
  background-color: #ffffff;
  border-color: #4e9bff;
}

#categoryKeys,
#colorKeys {
  display: flex;
  gap: 4px;
}

.table-wrap {
  max-height: 90vh;
  overflow-y: auto;
  overflow-x: auto;
}

table {
  border-collapse: collapse;
  width: 100%;
}

th,
td {
  border: 1px solid #ccc;
  padding: 8px;
}

th {
  border-top: 0px;
  background-color: #ebebeb;
  position: sticky;
  top: 0;
  z-index: 2;
}

td {
  padding: 2px;
}

#error_message_div {
  border: 5px dashed #ff4646;
  border-radius: 4px;
  background-color: #efefef;
  p {
    text-align: center;
  }
  #error_message {
    font-weight: 600;
    font-size: larger;
    margin: 10px 0px;
  }
  #error_code {
    color: rgb(159, 159, 159);
    font-weight: 400;
    font-size: large;
    margin: 0px;
  }
  #extra_notes {
    color: #676767;
    font-weight: 500;
    font-size: nomal;
    margin: 0px;
  }
}

.number {
  text-align: right;
}
.preparation {
  text-align: left;
  color: #999999;
}
.no-value {
  text-align: center;
}
.sp-only {
  display: none;
}
.pc-only {
  display: inline;
}
.hidden {
  display: none !important;
}

@media (max-width: 768px) {
  body {
    padding: 5px;
  }
  .title {
    h1 {
      margin: 0px;
      font-size: medium;
    }
    h3 {
      margin: 0px;
      font-size: small;
      color: #777;
    }
  }

  .lastUpdatedDate p {
    font-size: small;
  }

  .notes {
    margin: 0px;
    summary {
      font-size: 0.85rem;
      font-weight: 400;
    }
  }

  .uniqueCodeDetails {
    margin-bottom: 0px;
  }

  #exceptOutOfStock {
    transform: scale(1.3);
  }

  #headers_controller_container {
    .headers_controller {
      overflow-y: auto;
      overflow-x: auto;
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
      gap: 1px;
      align-items: start;
      input[type="checkbox"] {
        transform: scale(1.4);
      }
      lavel {
        padding: 3px;
      }
    }
  }

  .items_controller {
    margin: 0px;
  }

  table {
    font-size: 12px;
  }

  th,
  td {
    border: 1px solid #6e6e6e;
  }

  th {
    border-top: 0px;
    padding: 3px;
  }

  .sp-only {
    display: inline;
  }
  .pc-only {
    display: none;
  }
}

#outOfStock {
  background-color: #e8514e;
}
/*#outOfStock_line {
  background-color: #df908e;
}*/
#onlyFewStocks {
  background-color: #ffd6aa;
}
/*#new {
  background-color: #e6ffff;
  color: #007986;
  font-weight: bold;
}
#resale {
  background-color: #e3ffe3;
  color: #1f4000;
  font-weight: bold;
}
#outOfProduction {
  background-color: #dcd0d0;
  color: #464343;
  font-weight: bold;
}
#pop {
  color: #ff7300;
  background-color: #fff0dd;
}*/
#new {
  color: #e8514e;
  font-weight: bold;
}
#resale {
  color: #e8514e;
  font-weight: bold;
}
#outOfProduction {
  color: #e8514e;
  font-weight: bold;
}
#pop {
  color: #ff7300;
}
